Package com.enonic.xp.node

## Class CreateNodeParams.Builder

- java.lang.Object
- - com.enonic.xp.node.CreateNodeParams.Builder

- Enclosing class:
    CreateNodeParams

      public static final class CreateNodeParams.Builder
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CreateNodeParams.Builder` | `attachBinary​(BinaryReference binaryReference, ByteSource byteSource)` |
    `CreateNodeParams` | `build()` |
    `CreateNodeParams.Builder` | `childOrder​(ChildOrder childOrder)` |
    `CreateNodeParams.Builder` | `data​(PropertyTree data)` |
    `CreateNodeParams.Builder` | `indexConfigDocument​(IndexConfigDocument indexConfigDocument)` |
    `CreateNodeParams.Builder` | `inheritPermissions​(boolean inheritPermissions)` |
    `CreateNodeParams.Builder` | `insertManualStrategy​(InsertManualStrategy insertManualStrategy)` |
    `CreateNodeParams.Builder` | `manualOrderValue​(Long manualOrderValue)` |
    `CreateNodeParams.Builder` | `name​(String name)` |
    `CreateNodeParams.Builder` | `nodeType​(NodeType nodeType)` |
    `CreateNodeParams.Builder` | `parent​(NodePath parent)` |
    `CreateNodeParams.Builder` | `permissions​(AccessControlList permissions)` |
    `CreateNodeParams.Builder` | `refresh​(RefreshMode refresh)` |
    `CreateNodeParams.Builder` | `setBinaryAttachments​(BinaryAttachments binaryAttachments)` |
    `CreateNodeParams.Builder` | `setNodeId​(NodeId nodeId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setNodeId

          public CreateNodeParams.Builder setNodeId​(NodeId nodeId)

    - #### parent

          public CreateNodeParams.Builder parent​(NodePath parent)

    - #### name

          public CreateNodeParams.Builder name​(String name)

    - #### data

          public CreateNodeParams.Builder data​(PropertyTree data)

    - #### indexConfigDocument

          public CreateNodeParams.Builder indexConfigDocument​(IndexConfigDocument indexConfigDocument)

    - #### childOrder

          public CreateNodeParams.Builder childOrder​(ChildOrder childOrder)

    - #### permissions

          public CreateNodeParams.Builder permissions​(AccessControlList permissions)

    - #### inheritPermissions

          public CreateNodeParams.Builder inheritPermissions​(boolean inheritPermissions)

    - #### insertManualStrategy

          public CreateNodeParams.Builder insertManualStrategy​(InsertManualStrategy insertManualStrategy)

    - #### manualOrderValue

          public CreateNodeParams.Builder manualOrderValue​(Long manualOrderValue)

    - #### nodeType

          public CreateNodeParams.Builder nodeType​(NodeType nodeType)

    - #### attachBinary

          public CreateNodeParams.Builder attachBinary​(BinaryReference binaryReference,
                                                       ByteSource byteSource)

    - #### setBinaryAttachments

          public CreateNodeParams.Builder setBinaryAttachments​(BinaryAttachments binaryAttachments)

    - #### refresh

          public CreateNodeParams.Builder refresh​(RefreshMode refresh)

    - #### build

          public CreateNodeParams build()